#pragma once

// CInfoVolumeWnd
class CInfoVolumeWnd : public CWnd
{
	DECLARE_DYNAMIC(CInfoVolumeWnd)

public:
	CInfoVolumeWnd();
	virtual ~CInfoVolumeWnd();

private:
	// BG
	Image*							m_pImgBG;
	Image*							m_pImgVolume_B;
	Image*							m_pImgVolumeBG_B;
	Image*							m_pImgVolume_R;
	Image*							m_pImgVolumeBG_R;

	// dimension
	CRect							m_rtWnd;
	CRect							m_rtVolume;

	// attribute
	int								m_nVolumeLimit;
	int								m_nVolume;

protected:
	DECLARE_MESSAGE_MAP()

public:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPaint();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnDestroy();

	void							SetVolume(int nVolune);	
	int								GetVolume()								{ return m_nVolume; }
	void							SetVolumeLimit(int nVolLimit);
	int								GetVolumeLimit()						{ return m_nVolumeLimit; }
	void							SetImgBGPath(CString strFileName);
	void							SetImgVolumePath(CString strFileName, CString strFileNameBG);
	void							SetImgVolumePath_R(CString strFileName, CString strFileNameBG);
};
